package com.wechat.callback.tencentrequests;

import java.math.BigDecimal;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "xml")
public final class RefundRequest extends BaseRequest {

	private String orderNo;// 订单号
	private String groupId;// 团购Id
	private String refundFlg;// 退款标志
	private String amount;// 退款金额

	public String getOrderNo() {
		return orderNo;
	}

	@XmlElement(name = "OrderNo")
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getGroupId() {
		return groupId;
	}

	@XmlElement(name = "GroupId")
	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}

	public String getRefundFlg() {
		return refundFlg;
	}

	@XmlElement(name = "RefundFlg")
	public void setRefundFlg(String refundFlg) {
		this.refundFlg = refundFlg;
	}

	public String getAmount() {
		return amount;
	}

	@XmlElement(name = "Amount")
	public void setAmount(String amount) {
		this.amount = amount;
	}

}
